Package ru.bitel.bgbilling.kernel.contract.balance.server.bean

# Class ChargeTypeDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<ChargeType>
ru.bitel.bgbilling.kernel.contract.balance.server.bean.ChargeTypeDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `Directory<ChargeType>`

    public class ChargeTypeDao
    extends ru.bitel.common.dao.AbstractIdDao<ChargeType>
    implements Directory<ChargeType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ChargeTypeDao​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `addChild​(int up, PaymentTypeItem rootItem, java.util.List<ChargeType> list, boolean showEmptyRoot)` |
  `int` | `delete​(int id)` | Удаление элемента по id
  `ChargeType` | `get​(java.lang.String title)` | Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected ChargeType` | `getFromRS​(java.sql.ResultSet rs)` |
  `PaymentTypeItem` | `getTree​(int editable, boolean isPayback, boolean showEmptyRoot)` | Получение дерева типов.
  `java.util.Map<java.lang.Integer,​ChargeType>` | `getTypeMapByIds​(java.util.List<java.lang.Integer> typeIds)` |
  `java.util.List<ChargeType>` | `list()` | Получение всего списка элементов из справочника
  `java.util.List<ChargeType>` | `list​(java.lang.Integer editable, java.lang.Integer type, java.lang.Boolean isPayback)` | Вернет список типов расхода.
  `void` | `move​(int chargeTypeId, java.util.List<java.lang.Integer> idList)` | Перемещение
  `void` | `update​(ChargeType chargeType)` | Изменение/добавление элемента справочника
  `protected void` | `updateImpl​(ChargeType b)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `get`

- ## Constructor Details

  - ### ChargeTypeDao

    public ChargeTypeDao​(java.sql.Connection con)

- ## Method Details

  - ### get

    public ChargeType get​(java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<ChargeType>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ChargeType> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<ChargeType>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ChargeType> list​(java.lang.Integer editable, java.lang.Integer type, java.lang.Boolean isPayback) throws ru.bitel.bgbilling.common.BGException
    Вернет список типов расхода.
    Parameters:
      `editable` - - 0 - редактируемые, 1 - не редактируемые, null или меньше 0 - все.
      `type` - - 0 - элемент группы, 1 - группа, null или меньше 0 -все.
      `isPayback` - - true - возврат, false - приход, null - все.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTypeMapByIds

    public java.util.Map<java.lang.Integer,​ChargeType> getTypeMapByIds​(java.util.List<java.lang.Integer> typeIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### move

    public void move​(int chargeTypeId, java.util.List<java.lang.Integer> idList) throws ru.bitel.bgbilling.common.BGException
    Перемещение
    Parameters:
      `idList` - - список ид которые будут перемещены.
      `chargeTypeId` - - ид типа в который станет предком.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTree

    public PaymentTypeItem getTree​(int editable, boolean isPayback, boolean showEmptyRoot) throws ru.bitel.bgbilling.common.BGException
    Получение дерева типов. Осталось как наследник от PaymentAndChargeManager, потому и PaymentTypeItem. было бы не плохо переделать.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete​(int id) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `delete` in interface `Directory<ChargeType>`
    Overrides:
      `delete` in class `ru.bitel.common.dao.AbstractIdDao<ChargeType>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update​(ChargeType chargeType) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Изменение/добавление элемента справочника
    Specified by:
      `update` in interface `Directory<ChargeType>`
    Overrides:
      `update` in class `ru.bitel.common.dao.AbstractDao<ChargeType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(ChargeType b) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ChargeType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFromRS

    protected ChargeType getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ChargeType>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addChild

    protected void addChild​(int up, PaymentTypeItem rootItem, java.util.List<ChargeType> list, boolean showEmptyRoot)